Über Tiegris...

Tiegris ist ein in der Entwicklung befindlicher Pre- und Postprozessor für Rismo2D. Tiegris soll den Modellierer in den wesentlichen Arbeitsschritten, die im Rahmen von Modellbildung und -betrieb anfallen, unterstützen.

  • Preprocessing
    • Import von diversen Dateiformaten
    • Aufbereiten von Naturdaten zu einem Finite-Elementegitter
    • Festlegen von Randbedingungen und Berechnungsparametern
    • Erstellung der Eingabedateien für die Rismo2D-Berechnung
  • Postprocessing
    • Darstellen der Berechnungsergebnisse
    • Auswertung
    • Export zu Visualisierungswerkzeugen

letzte Änderung: Dienstag, 28. Februar 2006


Version

Versionskontrolle (für das Dokument)

Datum | Version | Anmerkung
02.03.2006 | 1.02 | Aktualisierung für Tiegris Version 1.11.09
11.11.2004 | 1.01 | Aktualisierung für Tiegris Version 1.08.03
15.02.2003 | 1.00 | Einführung der Versionskontrolle für dieses Dokument
letzte Änderung: Donnerstag, 2. März 2006


Tastaturbefehle

Tastatur

Neben den üblichen Tastaturbefehlen, die eine Kurzform zur Ausführung von Menübefehlen darstellen (z.B. Strg+S oder Entf), gibt es einige Funktionen, die ausschließlich über die Tastatur zugänglich sind.

Pos1 | Pan
 | Das Drücken der Taste Pos1 (Home) bewirkt, dass die aktuelle Position des Mauszeigers in die Mitte des Darstellungsfensters bewegt wird. Diese Funktion ist auch während des Zeichnens von z.B. Elementen und Polylinien verfügbar, und dann u.U. sehr hilfreich.
Shift Umstelltaste

Das Drücken der Shift-Taste wirkt sich während des Einfügens von Knoten per Mausklick aus (Symbolleiste Auswahl [image]). Die einzelnen Mausklicks werden bei gedrückter Shift-Taste nicht unmittelbar ausgeführt, sondern in einem Buffer gesammelt. Das Einfügen der Knoten erfolgt dann in einem Schritt nach dem Loslassen der Shift-Taste.

Beim Zeichnen von Kreisbögen (Symbolleiste Auswahl [image]) wird durch das gleichzeitige Drücken der Shift-Taste die Orientierung des Kreisbogens auf Uhrzeigersinn umgeschaltet.

Strg | Steuerungstaste
 | Während des Zeichnens von Polylinien (Symbolleiste Auswahl [image] ) bewirkt eine gedrückte Steuerungstaste das Zeichnen des neuen Liniensegments in 15°-Schritten, wobei der Winkel-Nullpunkt jeweils mit der Richtung des vorhergehenden Liniensegments bestimmt wird.
letzte Änderung: Montag, 27. Februar 2006


Datentypen: Unstrukturierte Gitter

Unstrukturierte Gitter

Unstrukturierte Gitter bestehen immer aus Elementen und Knoten an den Elementecken (vgl. Bild 1). Jeder Knoten ist in seiner Lage eindeutig durch eine Koordinate (x,y,z) beschrieben; jedes Element ist eindeutig durch drei bzw. vier Knoten festgelegt. Neben dieser geometrischen Beschreibung können mit Knoten und Elementen weitere Daten verknüpft sein. Dies sind bei Knoten und Elementen eine beliebige Anzahl von Fließkommazahlen (typischerweise die Ergebnisse einer Strömungssimulation, wie Fließtiefen und Fließgeschwindigkeiten) und eine Integerzahlen für Elemente, die die Zugehörigkeit zu einer Materialzone definiert.

Neben der Darstellung der Topologie (Elemente und Knoten) des unstrukturierten Gitters ist eine Darstellung der weiteren Daten möglich:

  • Konturen für skalare Daten (Knoten und Elemente) und die z-Koordinate (nur Knoten); Elementdaten werden elementweise vollflächig und Knotendaten als Farbverlauf im Element dargestellt. Als Farben stehen verschiedene Farbverläufe zur Verfügung, deren Skalierung im Dialog Ansichtsattribute eingestellt werden kann.
  • Material für den Elementen zugeordnete Ganzzahlen, die die Zugehörigkeit zu einer Zone definieren. Die Elemente werden vollflächig mit einer Farbe gefüllt, die sich frei unter Ansichtsattribute jeder Zone zuordnen lässt.
Bild 1: Unstrukturiertes Gitter (Knoten und Elemente) mit Konturflächen (z-Koordinate)
letzte Änderung: Dienstag, 28. Februar 2006


Tiegrishandbuch - Datentypen: Geometrie

Geometrie

Geometrie erfüllt in Tiegris verschiedene Funktionen, wie z.B. Darstellung von Vektorgrafik zur Orientierung oder einfach als Dekoration, Hilfslinien zur Konstruktion von Elementen / Knoten oder Definition von Bereichen und Linien für verschiedene Funktionen der Gittergenerierung.

Zu den Geometriedaten gehören Texte (noch nicht verfügbar), Kreisbögen und Polylinien, wobei vom Typ Polylinie einige Datenarten für spezielle Aufgaben abgeleitet werden: Bruchkante, Umring, Trasse und Querschnitt.

Geometrieklasse |  | Funktion
Basis | Abgeleitet | Dekoration | Konstruktion | Generierung
Text | - | x |  |
Kreisbogen | - | x | x |
Polylinie | - | x | x | x
 | Bruchkante |  |  | x
 | Randlinie |  |  | x
 | Trasse |  |  | x
 | Querschnitt |  |  | x
Jede Geometrie wird einem Thema zugeordnet. Die Themen sind vom Benutzer frei wählbar. Jedem Thema sind unterschiedliche Attribute zugeordnet, die einerseits Farbe, Strichart und Strichdicke definieren und andererseits festlegen, ob das Thema dargestellt wird, aktiv hinsichtlich der Fangfunktion ist oder bearbeitet werden kann. Die Themen und ihre Attribute werden im Dialog Ansichtsattribute festgelegt.
letzte Änderung: Montag, 27. Februar 2006


Menü: Datei

Die vier obersten Menüeinträge unter dem Menüpunkt Datei beinhalten die üblichen Funktionen zum Speichern und Öffnen von Dateien.

Die von Tiegris erzeugten binären Dateien mit der Endung "tgr" enthalten:

  • das aktuelle Finite-Elemente-Gitter,
  • die Geometrie (Polylinien, ...)
  • sowie einige Programmeinstellungen.

Neu

Löscht die aktuellen im Fenster dargestellten Daten und versetzt das Programm in den Startzustand zurück.

Öffnen...

Gestattet das Öffnen von Tiegris-Dateien (*.tgr) mit dem Datei-Öffnen-Dialog.

Speichern / Speichern unter...

Gestattet das Speichern der aktuellen Daten als Tiegris-Dateien.

Importieren...

Finite-Elemente-Gitter, Punktdaten, Geometrie (Polylinien, ...) oder Hintergrundbilder (noch nicht implementiert) können mit diesem Menüpunkt in verschiedenen Dateiformaten importiert werden.

  • UCD-Dateien (*.inp)
    sind ein AVS-Dateiformat für allgemeine (1D, 2D und 3D) Finite-Elemente-Gitter. Unterstützt werden nur 2D-Elementypen (Dreiecke und Vierecke) und ASCII-Dateien.
    UCD = Unstructured Cell Data
    AVS = Advanced Visualisation System ist ein eingetragener Produktname
  • Geometriedateien (*.geo; *.gen)
    beinhalten Polylinien, Kreisbögen und Texte in einem speziellen ASCII-Geoemtrie-Format (*.geo) oder in dem     ArcView™-Generate-Ausgabeformat (*.gen)
  • Tecplot-Dateien (*.dat; *.plt)
    sind ein Dateiformat von ... Die Dateien können sowohl Finite-Elemente-Gitter als auch Geometriedaten enthalten. Unabhängig von der Dateiendung wird nur das Einlesen von ASCII-Dateien im Punktformat unterstützt.

Exportieren...

UCD-Dateien (*.inp)

Geometriedateien (*.geo)
letzte Änderung: Montag, 27. Februar 2006


Menü: Bearbeiten

Die üblichen Funktionen Rückgängig, Ausschneiden, Kopieren und Einfügen sind in der aktuellen Programmversion noch nicht verfügbar. (Sie werden zu einem späteren Zeitpunkt für die Bearbeitung von Geometrien zur Verfügung stehen.)

Löschen

Als einzige Standardfunktion ist Löschen verfügbar. Das Löschen bezieht sich dabei jeweils auf das ausgewählte Objekt (vgl. Auswahlwerkzeug):

  • Finites Element
  • Knotenpunkt
  • Polylinie
  • Punkt einer Polylinie
  • Kreisbogen
  • Text (zur Zeit noch nicht verfügbar)

Auswahlfilter

Mit dem Untermenü lässt sich die Auswahl von Objekten (vgl. Auswahlwerkzeug) auf eines der aufgeführten Objekttypen (Knoten, Elemente, Polylinien oder Kreisbögen) beschränken. In der Standardeinstellung (Alles) findet keine Beschränkung statt; jeder Objekttyp ist dann mit der Maus auswählbar.

letzte Änderung: Montag, 27. Februar 2006


Menü: Polylinien

letzte Änderung: Montag, 27. Februar 2006


Menü: Gitter

letzte Änderung: Montag, 27. Februar 2006


Menü: Ansicht

Symbolleisten
Gestattet das Öffnen bzw. Schließen der Symbolleisten.

Aktualisieren
Zeichnet den im Fenster dargestellten Modellausschnitt neu.

Verzerrung...

Verzerrt die Darstellung. (Dieser Befehl wurde aufgrund von Problemen mit einer Gafikkarte für Doppelbildschirmarbeitsplätzen generiert. Dieses Problem ist inzwischen hinfällig.)

Elementseiten, Knoten, Material, Konturen, Vektoren, Kontrolllinien

Aktiviert die Darstellung der jeweiligen Elemente. Die Darstellungsattribute können im Dialog Ansichtsattribute eingestellt werden.

Attribute

Öffnet den Dialog Ansichtsattribute.

Gitterqualität

Stellt in Farbflächen das jeweilige Gitterqualitätskriterium dar. Die Darstellungsattribute können wiederum im Dialog Ansichtsattribute eingestellt werden.

Farbtabelle
Ermöglicht die Auswahl von 3 unterschiedlichen Farbtabellen für alle Darstellungen mit Farbflächen.

letzte Änderung: Mittwoch, 1. März 2006


Menü: Simulation

Unter dem Menüpunkt Simulation finden Sie eine Reihe von Dialogen, um die Eingabedateien für eine Rismo2D-Strömungsberechnung zu erstellen.
Import

Importiert Rismo2D-Startdateien (*.ris). Es werden auch einige der Dateien eingelesen, die in der Rismo2D-Startdatei referenziert sind. Zu diesen Dateien gehört die Zeitschritt-/Randbedingungsdatei (*.tm) und die Materialdatei (*.tbl).

Export

Exportiert die Rismo2D-Startdatei sample.ris1) und die Zeitschritt-/Randbedingungsdatei sample.tm. Nach der Festlegung des Speicherorts öffnet sich ein Dialog, mit dem Sie festlegen können, ob auch ein FE-Berechnungsgitter und eine Kontrollschnittedatei (sofern vorhanden) sowie eine Materialtabelle geschrieben werden soll. Das Berechnungsgitter und die Kontrollschnittdatei wird ggf. um Mittenseitenknoten erweitert.

1) Den Namen der Rismo2D-Startdatei können Sie nahezu beliebig im Dialog Simulation-Eingabe festlegen. Die Dateiendung .ris ist allerdings für Tiegris bindend. Für alle anderen Dateien können Sie aber auch beliebige Dateiendungen festlegen, falls Ihnen die hier vorgeschlagenen missfallen.

... Simulationsdialog

Öffnet die entsprechende Registerkarte des Simulationsdialogs.

Rismo 2D starten

Startet die Rismo2D-Berechnung mit der zuletzt gespeicherten bzw. geladenen Rismo2D-Startdatei.

letzte Änderung: Mittwoch, 1. März 2006


Menü: Hilfe

Info über Tiegris

Öffnet eine Dialogbox mit Information über Tiegris..

Hilfe

Öffnet diese Hilfedatei Tiegris.chm.

letzte Änderung: Dienstag, 28. Februar 2006


Symbolleiste Standard

letzte Änderung: Montag, 27. Februar 2006


Symbolleiste Auswahl

Auswahl

Der Schalter aktiviert die Auswahl der verschiedenen Elemente in der Darstellung (Knoten, Elemente, Polylinien, etc.). Die Auswahl lässt sich über den Menüpunkt Auswahlfilter im Bearbeiten-Menü auf einzelne Elemente beschränken.

Mausklick linke Taste
Auswahl von Knoten, Elementen, Polylinien, Kreisbögen und Text

Doppelklick linke Taste
öffnet das Dialogfenster zum jeweils ausgewählten Element

Zweiter Mausklick linke Taste
auf einen selektierten Knoten: Aktiviert das Verschieben des Knotens während die Taste gedrückt gehalten wird; das Verschieben wird nicht ausgeführt, wenn vor dem Loslassen der linken Maustaste die rechte gedrückt wird.
auf eine selektierte Polylinie: Selektiert einen Punkt einer Polylinie

Dritter Mausklick linke Taste
auf selektierten Punkt einer Polylinie: Aktiviert das Verschieben des Punktes während die Taste gedrückt gehalten wird; das Verschieben wird nicht ausgeführt, wenn vor dem Loslassen der linken Maustaste die rechte gedrückt wird.

Messer

Das Messer dient zur Nachbearbeitung von Polylinien. Die Endpunkte einer Polylinie können durch zweimaliges Klicken mit der linken Maustaste ausgewählt werden. Anschließend kann der Punkt bei gedrückter Taste bewegt werden. Hierbei unterstützt das Messertool nur das Bewegen in Richtung des letzten Liniensegments. Per Doppelklick mit linker Maustaste auf eine Polylinie wird an der Mausposition ein zusätzlicher Polylinienpunkt eingefügt.

Pinsel

Mit dem Pinsel-Werkzeug kann (z.Zt. nur) eine Materialklasse von einem Element auf andere Elemente übertragen werden. Nach dem der Pinsel aktiviert wurde, wird zunächst mit einem Klick auf ein Finites Element, dessen Materialklasse aufgenommen. Danach kann mit gedrückter Steuerungstaste die aufgenommene Materialklasse auf andere Elemente übertragen werden.

Knoten einfügen (Delauney)

Mit diesem Schalter werden neue Knoten erzeugt. Erfolgt der Klick mit der linken Maustaste innerhalb eines Finiten Elements, so wird an der Mausposition ein neuer Knoten über den Delauney-Algorithmus in das Gitter eingefügt. Erfolgt der Mausklick außerhalb von Finiten Elementen wird ein freier Knoten erzeugt. Bei gleichzeitig gedrückter Shift-Taste (vgl. Tastaturbefehle) werden die Mausklicks nicht direkt ausgeführt, sondern bis zum Loslassen der Shift-Taste gespeichert.

Knoten einfügen (auf Kante)

Der Schalter gestattet das Einfügen von Knoten auf einer Elementkante. Gleichzeitig muss das Fangen auf Linie aktiviert sein. Anders als beim Einfügen mit dem Delauney-Algorithmus werden nur die beiden angrenzenden Elemente geteilt.

Elemente zeichnen

Mit diesem Schalter wird das Zeichnen von Elementen aktiviert. Das Werkzeug fängt automatisch auf den nächst gelegenen Knoten zur Koordinate des Links-Mausklicks. Der Knoten muss entweder frei sein oder auf dem Rand liegen. Hierdurch wird das Erzeugen von fehlerhaften sich überlappenden Elementen weitestgehend ausgeschlossen.

Nachdem der vierte Knoten angeklickt wurde, ist der Vorgang zum Erzeugen eines Elements abgeschlossen. Soll ein Dreieckselement gezeichnet werden, so wird einfach der erste Knoten erneut angeklickt Ein Rechts-Mausklick bricht den Zeichenvorgang ohne das Erzeugen eines Elements ab.

Kontrolllinie zeichnen

Kontrolllinien werden in Rismo2D zur Definition von Randbedingungen verwendet. Der erste Mausklick in die Nähe eines Knotens startet das Zeichnen der Kontrolllinie. Mit dem folgenden Mausklick sucht das Werkzeug über Elementkanten einen Verbindungslinie zwischen den beiden zuletzt ausgewählten Knoten. Das Zeichnen der Kontrolllinie wird mit einem Klick der rechten Maustaste beendet.

Kante kippen

Bei aktiviertem Schalter lässt sich die Diagonale in dem Viereck, das aus zwei benachbarten Dreiecken gebildet wird, mit einem einfachen Links-Mausklick (auf die gemeinsame Elementkante) kippen.

Polylinie zeichnen

Wenn dieser Schalter aktiviert wird, öffnet sich gleichzeitig ein Dialog zur Bearbeitung von Polylinien, in dem bereits vor dem Zeichnen einige Einstellungen vorgenommen werden können. Das Zeichnen der Punkte erfolgt per Links-Mausklick oder auch per Koordinateneingabe in der Dialogbox. Der Zeichenvorgang wird durch einen Rechts-Mausklick abgeschlossen.

Kreisbogen zeichnen

Das Aktivieren des Schalters öffnet gleichzeitig den Dialog zur Bearbeitung von Kreisbögen. Der Kreisbogen wird durch drei Links-Mausklicks in der Reihenfolge Mittelpunkt, Anfangspunkt, Endpunkt des Bogens gezeichnet. Die Konstruktion des Bogens erfolgt entgegen dem Uhrzeigersinn. Das Drücken der Shift-Taste bewirkt die Umkehrung auf eine Orientierung im Uhrzeigersinn. Durch einen Rechts-Mausklick wird der Zeichenvorgang ohne das Erzeugen einens Bogens abgebrochen.

Text schreiben

Text wird z. Zt. noch nicht unterstützt.
letzte Änderung: Dienstag, 28. Februar 2006


Symbolleiste Zoom

Vergrößern

Vergrößert den Bildausschnit um den Faktor 1,5.

Verkleinern

Verkleinert den Bildausschnit um den Faktor 1,5.

Gesamtansicht

Skaliert, so dass alle Daten im Fenster sichtbar sind.

Vorherige Ansicht

Stellt die letzte Ansicht wieder her.

Nächste Ansicht

Wechselt zur nächsten Ansicht, falls mit [image] zumindest eine letzte Ansicht hergestellt wurde.

Ausschnitt vergrößern

VerSkaliert auf einen mit der Maus wählbaren Rechteckausschnitt.

Ausschnitt bewegen

Aktiviert das Bewegen des Ausschnitts bei gedrückter Maustaste.

Maßstab

Skaliert nach Bestätigung mit Enter-Taste auf den eingetragenen Maßstab.

letzte Änderung: Mittwoch, 1. März 2006


Symbolleiste Fangen

In der Symbolleiste Fangen können Sie verschiedene Konstruktionshilfen für das Zeichnen von Polylinien, Kreisbögen und Knoten auswählen.

Punkt

Fängt auf den Punkte: Endpunkt von Polylinien und Kreisbögen sowie auf Endpunkte und Mittelpunkte von Elemenkanten.

Linie

Fängt auf Linie: Polylinien, Kreisbögen und Elementkanten.

Schnittpunkt

Fängt auf den Schnittpunkt verschiedener Elemente: Polylinien, Kreisbögen und Elementkanten.

Teilungspunkt

Fängt auf einen Teilungspunkt einer Linie: Polylinien, Kreisbögen und Elementkanten. Defenieren Sie in dem Textfeld den Teilungspunkten in Prozent.

Vertikale Linie

Konstruieren Sie eine vertikale Linie (nur Polylinien) zu einem vorhandenen Element: Polylinie, Kreisbogen oder Elementkante. Wählen Sie mit dem ersten Mauklick den Fußpunkt der Vertikalen aus. Falls dieser auf dem vorhandenen Element liegen soll, müssen Sie zusätzlich eine weitere Fangfunktion (auf Punkt, Linie oder Teilungspunkt) wählen. Die Lage des Endpunkts der Linie ist nun auf die Vertikale beschränkt. Zusätzlich können Sie auch noch die Länge der Linie über die Abstandsfunktion vorgeben.

Parallele Linie

Die Konstruktionshilfe paralleler Linien ist z.Zt. noch nicht implementiert.

Abstand

Definieren Sie die Länge einer neuen Linie.

letzte Änderung: Dienstag, 28. Februar 2006


Dialog: Anichtsattribute

Ansichtsattribute

Im Dialog "Ansichtsattribute" legen Sie die Attribute für die Darstellung der einzelnen Elemente des Finite-Elemente-Gitters sowie der Ausgestaltungsgeometrien fest. Außerdem gestatten die Registerkarten "Material" und "Themen" die Festlegung neuer Materialzonen bzw. neuer Ausgestaltungsgeometrien.

Elementkanten | Knoten |  | Material |  | Linienelemente
Vektoren |  | Themen |  | Konturen
Elementkanten

Knoten

Material

Linien

Konturen

Vektoren

Themen

letzte Änderung: Montag, 27. Februar 2006


Dialog: Simulation

Simulation

Die einzelnen Registerkarten des Dialogs "Simulation" können über Menüpunkte direkt angesprochen werden. Sie können hier die -meisten- Parameter für eine Rismo2D-Berechnung festlegen.

Eingabe | Ausgabe | Zeitschritte | Rand | Materialparameter |  |  | Numerik | Grenzwerte | Konstanten
 |  |  |  | Rauheit | Turbulenz | Sediment
Eingabedateien

Legen Sie im Dialog Simulation-Eingabe die Dateinamen fest die in der Rismo2D-Startdatei sample.ris stehen. Damit ein Dateiname mit dem entsprechenden Schlüsselwort in die Datei geschrieben wird, müssen Sie das Häkchen links vom Dateinamen setzen. Ein fehlender Dateiname $TIMESTEPFILE oder $MATERIALFILE bewirkt übrigens, dass die entsprechenden Parameter in die Startdatei sample.ris geschrieben werden und nicht in die Dateien sample.tm oder sample.tbl.

Sie haben hier die Möglichkeit den Wert der vier in Tiegris vordefinierten Makros :name:, :no:, :date: und :tm: zu setzen. Sie können mit diesen Makros Standard-Dateinamen generieren, indem Sie auf den Schalter "Makronamen generieren" klicken. Dies soll die erforderliche Schreibarbeit bei der Festlegung bzw. Änderung von Dateinamen erleichtern. Um diese Option für einzelne Dateinamen zu deaktivieren löschen Sie das Häkchen recht vom jeweiligen Eigabefeld.

Ausgabedateien

Der Dialog Simulation-Ausgabe hat identische Funktionen wie der vorige Dialog "Simulation - Eingabe". Zusätzlich definieren Sie hier die Schlüsselworte $REPORTLEVEL und $OUTPUTVARS.

Zeitschritte

Im Dialog Simulation-Zeitschritte legen Sie die Parameter für die Zeitschrittsteuerung fest. Diese Parameter sind üblicherweise mit Ausnahme der Relaxationsparameter in der Datei sample.tm lokalisiert.

Randbedingungen

Im Dialog Simulation-Rand definieren Sie "Randbedingungssets", die Programmzyklen und Randbedingungen an Knoten und/oder Linien umfassen. Die Randbedingungssets sind zu einem bestimmten Zeitschritt (1) gültig. Löschen Sie bestehende Randbedingungsets mit dem Schalter Löschen (2) oder definieren Sie weitere Randbedingungsets mit dem Schalter Hinzufügen (3). Mit den beiden Schaltflächen (4) wechseln Sie zum nächsten bzw. zum vorihergehenden Randbedingungsset. Die in einem Randedingungsset zu bearbeitenden Programmzyklen und zu verwendenden Randbedingungen definieren Sie in den beiden umrahmten und entsprechend betitelten Bereichen.

Materialparameter - Rauheit

Im Dialog Simulation-Rauheit haben Sie die Möglichkeit Materialklassen zu definieren, in dem Sie eine neue Nummer, eine Bezeichnung und eine Farbe festlegen. Diese Möglichkeit haben Sie auch in den sehr ähnlichen Dialogen Simulation-Turbulenz und Simulation-Sediment sowie im Dialog Ansichtsattribute auf der Registerkarte Material. Darüber hinaus legen Sie die Rauheitsgesetze und Parameter für Sohl- und Wandrauheiten fest.

Materialparameter - Turbulenz

Neben den bereits aus dem Dialog Simulation-Rauheit bekannten Funktionalitäten zur Definition von Materialklassen legen Sie hier die Turbulenzparameter fest.

Materialparameter - Sediment

Neben den bereits aus dem Dialog Simulation-Rauheit bekannten Funktionalitäten zur Definition von Materialklassen legen Sie hier die Sedimentparameter fest.

Gleichungslöser / Numerik

Im Dialog Simulation-Numerik definieren Sie die Konvergenzparameter für den Newton-Raphson sowie die Parameter der Gleichungslöser. Standardmäßig definiert finden Sie hier vier Gleichungslöser:

1. Front Gleichungslöser (direkter Löser, nur seriell)

2. Front Gleichungslöser für Index-Matrizen (direkter Löser, nur seriell)

6 Konjugierte-Gradienten-Löser PARMS-BiCGStab-d (iterativer Löser, seriel und parallel)

7 Konjugierte-Gradienten-Löser PARMS-FGmres-d (iterativer Löser, seriel und parallel)

Den Grad der Gausspunktintegration werden Sie in der Regel unverändert auf 5 stehen lassen.

Nass-/Trockenalgorithmus - Grenzwerte

Im Dialog Simulation-Grenzwerte definieren Sie Grenzwerte für einige kritische Parameter sowie die Einstellungen für den Nass-Trocken-Algorithmus.

Konstanten

Der Dialog Simulation-Konstanten gestattet die Änderung von Konstanten. Was im Allgemeinen z.B. bei der Schwerebeschleunigung nur selten erforderlich sein dürfte.
letzte Änderung: Montag, 27. Februar 2006


Formatbeschreibung: AVS-UCD

Formatbeschreibung: AVS-UCD1
1 Das UCD-Format (Unstructured Cell Data) ist ein allgemeines Datenformat für Finite Elemente Gitter das in den Visulaierungsprogrammen der Firma AVS (Advanced Visual Systems) verwendet wird. Die folgende Formatbeschreibung in englischer Sprache wurde einer AVS-Dokumentation entnommen. Von den im AVS-UCD-Format unterstützten Elementtypen (cell-type) werden in Rismo2D die ein- und zweidimensionale Elemente (line, tri und quad) unterstützt.

A) Description of Format

Unstructured Cell Data (UCD) is commonly used in structural analysis and computational fluid dynamics. A UCD data structure consists of an irregular coordinate structure (or "model") made up of cells. Cells may be points, lines, quadrilaterals, triangles, tetrahedrons, pyramids, prisms, or hexahedrons. Each cell has a corresponding number of nodes. Data can be associated with the entire structure, with each cell, and with each node. The data is structured as a set of components. each component can be either a scalar or a vector.

If a UCD file is in ASCII, it has the following format. For a more com-plete description of UCD file formats, as well as a discussion of UCD data in general, see the "Unstructured Cell Data" appendix of the AVS Developer's Guide.

Comments, if present, must precede all data in the file - comments within the data will cause read errors. The general order of the data is:

1. Numbers defining the overall structure, including the number of nodes, the number of cells, and the length of the vector of data associated with the nodes, cells, and the model.

2. For each node, its node-id and the coordinates of that node in space. Node-ids must be integers, but any number including non-sequential numbers can be used. Mid-edge nodes are treated like any other node.

3. For each cell: its cell-id, material, type (hex, prism, pyr, tet, quad, tri, line, pt), and the list of node-ids that correspond to each of the cell's verticies. (The UCD appendix shows the order in which cell verticies are numbered.)

4. For the data vector associated with nodes, how many components that vector is divided into (e.g., a vector of 5 floating point numbers may be treated as 3 components: a scalar, a vector of 3, and another scalar, which would be specified as 3 1 3 1).

5. For each node data component, a component label/unit label pair, sepa-rated by a comma.

6. For each node, the vector of data values associated with it.

That is the end of the node definitions. Cell-based data descriptions, if present, then follow in the same order and format as items 4, 5, and 6.

The single model-based data descriptions, if present, comes last.

The input file cannot contain blank lines or lines with leading blanks. The numbers down the left correspond to the above descriptions and are not part of the ASCII file.

The UCD structure and library will support either integer or character node-, cell-, and model-ids, (referred to in the library documentation as names). However, the read ucd module only accepts integer node-ids, cell-ids, and model-ids. This is shown in the example below. The ids do not have to be consecutively numbered.

Also note that, at present, most of the UCD modules do not make use of cell and model-based data, thus the input data examples all show "0" for and . User-written modules can use the UCD library to manipulate cell- and model-based data.

 | # <comment_1> . . . # <comment n>
1. | <num_nodes> <num_cells> <num_ndata> <num_cdata> <num_mdata>
2. | <node_id 1> <x> <y> <z> <node_id 2> <x> <y> <z> . . <node_id num_nodes> <x> <y> <z>
3. | <cell_id 1> <mat_id> <cell_type> <cell_vert 1> ... <cell_vert n> <cell_id 2> <mat_id> <cell_type> <cell_vert 1> ... <cell_vert n> . . <cell_id num_cells> <mat_id> <cell_type> <cell_vert 1> ... <cell_vert n> Note: valid strings for <cell-type> are: pt, line, tri, quad, tet, pyr, prism, and hex.
4. | <num_comp for node data> <size comp 1> <size comp 2> ... <size comp n>
5. | <node_comp_label 1> , <units_label 1> <node_comp_label 2> , <units_label 2> . . <node_comp_label num_comp> , <units_label num_comp>
6. | <node_id 1> <node_data 1> ... <node_data num_ndata> <node_id 2> <node_data 1> ... <node_data num_ndata> . . <node_id num_nodes> node_data 1> ... <node_data num_ndata>
7. | <num_comp for cell's data> <size comp 1> <size comp 2> ... <size comp n>
8. | <cell-component-label 1> , <units-label 1> <cell-component-label 2> , <units-label 2> . . <cell-component-label n> , <units-label n>
9. | <cell-id 1> <cell-data 1> ... <cell-data num_cdata> <cell-id 2> <cell-data 1> ... <cell-data num_cdata> . . <cell-id num_cells> <cell-data 1> ... <cell-data num_cdata>
10. | <num_comp for model's data> <size comp 1> <size comp 2> ... <size comp n>
11. | <model-component-label 1> , <units-label 1> <model-component-label 2> , <units-label 2> . . <model-component-label n> , <units-label n>
12. | <model-id> <model-data 1> ... <model-data num_mdata>
B) Cells, Nodes and Mid-edge Nodes

The UCD data structure has eight different cell types. In figure each of the cell types is pictured, with its nodes and mid-edge nodes correctly labeled.

Figure UCD Cell Types, Nodes, Mid-Edge Nodes. and Node Numbering

C) Sample UCD File

The following is an example of a simple UCD file. This UCD structure has 8 nodes in 1 hexahedral cell. Associated with each node is a single scalar data value, making up one component that this person labels "stress," and specifies a "lb/in**2" unit label. There is no cell- or model-based data. See the "Unstructured Cell Data" appendix in the Developer's Guide for more examples.

8 1 1 0 0 | 1. 8 nodes, 1 cell, 1 component of node data
1 0.000 0.000 1.000
 2 1.000 0.000 1.000
 3 1.000 1.000 1.000
 4 0.000 1.000 1.000
 5 0.000 0.000 0.000
 6 1.000 0.000 0.000
 7 1.000 1.000 0.000
 8 0.000 1.000 0.000
         2. for each node, its id and node coordinates
1 1 hex 1 2 3 4 5 6 7 8 | 3. cell id, material id, cell type, cell vertices
1 1 | 4. num data components, size of each component
stress, lb/in**2 | 5. component label, units label
1 4999.9999
 2 18749.9999
 3 37500.0000
 4 56250.0000
 5 74999.9999
 6 93750.0001
 7 107500.0003
 8 5000.0001 		6. data vector for each node

letzte Änderung: Dienstag, 28. Februar 2006